/* Seamless3d

Copyright (C) 2001-2017 Graham John Perrett (AKA thyme) thyme@seamless3d.com www.seamless3d.com

Permission is hereby granted, free of charge, to any person obtaining a copy of this
software and associated documentation files (the "Software"), to deal in the Software
without restriction, including without limitation the rights to use, copy, modify,
merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to the following
conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT
OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
*/

#include "seamless3d.h"

SeamlessPtr g_cameraObject = 0;

bool g_showCamerasInAnimMode = false;

const char* cameraStr = "\
Seamless{\n\
	coordIndex [0 1 2 3 2 1 4 5 6 7 6 5 8 10 9 11 9 10 12 13 14 15 14 13 16 17 18 19 18 17 20 21 22 23 22 21]\n\
	version 3.0041\n\
	tesselate 2\n\
	bnspe FALSE\n\
	animCP TRUE\n\
	effect ColorEffect{\n\
	}\n\
	skeleton ImmediatePart{\n\
		color [ 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1]\n\
		coord [-.088362 -.082497 .523422 .088362 -.082497 .523422 -.076603 .090069 .5134 .076603 .090069 .5134 -.07769 -.082497 .123186 -.088362 -.082497 .523422 -.076603 .086612 .126988 -.076603 .090069 .5134 .07769 -.082497 .123186 .088362 -.082497 .523422 .076603 .086612 .126988 .076603 .090069 .5134 .07769 -.082497 .123186 -.07769 -.082497 .123186 .076603 .086612 .126988 -.076603 .086612 .126988 -.07769 -.082497 .123186 .07769 -.082497 .123186 -.088362 -.082497 .523422 .088362 -.082497 .523422 .076603 .086612 .126988 -.076603 .086612 .126988 .076603 .090069 .5134 -.076603 .090069 .5134]\n\
	}\n\
}";


void createCameraObject(){
	M_Node m_node;
	String str = cameraStr;
	createSmlsFromString(m_node, str);
	/*
	if(Browser::createVrmlFromFile("camera-optimised.smls", m_node)){
		if(Scene* scene = dynamic_cast<Scene*>(m_node[0].p)){
	*/
	for(int k = m_node.length; --k>=0;){
		if(Seamless* smls = dynamic_cast<Seamless*>(m_node[k].p)){
			smls->processFields();
			smls->ctrf = true;
			g_cameraObject = smls;
			break;
		}
	}
}
