/* Seamless3d

Copyright (C) 2001-2013 Graham John Perrett (AKA thyme) thyme@seamless3d.com www.seamless3d.com

Permission is hereby granted, free of charge, to any person obtaining a copy of this
software and associated documentation files (the "Software"), to deal in the Software
without restriction, including without limitation the rights to , copy, modify,
merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to the following
conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT
OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
*/

#include <windows.h>
#include <direct.h>
#include <process.h>

#include "seamless3d.h"
#include "resource.h"
#include "techuelife_triangle_editor.h"
#include "gui.h"
#include "scene_tree.h"

#include "robot_aid.h"
extern const char* Create_a_New_Seamless_File;
extern const char* Complete;

//#define NARATION 1

void InputEvent::preYouTubeTut(){
	g_robotDemo->fileName="nurbs-stitched-head";
	g_robotDemo->function=InputEvent::youTubeTut;
	g_robotDemo->name=Create_a_New_Seamless_File;
	robotDemoStart(setupSequence);
}
void InputEvent::youTubeTut(){

	const int seamless = 1;
	const int pelvis = 3;

	InputEvent* array0[]={
		new Section("Create a new seamless file"),
//#if NARATION
//	new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\create-new-file.wav"),
//#endif
//
//new DragViewRot(.99982,.013795,-.013001,.063678),
//new ClickButton(buildNurbsLatheForSelPart),
//
//new AddCtrlPnt(0,0),
//new AddCtrlPnt(.078125,-.221875),
//new AddCtrlPnt(.371875,-.14375),
//new AddCtrlPnt(.50625,.04375),
//new AddCtrlPnt(.38125,.23125),
//new AddCtrlPnt(.1375,.340625),
//new ToggleField("done"),
//
//new ClickButton(openGridControl),
//
//new ToggleField("show"),
//new MoveToExitWindow(),
//new Click(),
//
//
//new ClickButton(convertToPatch),
//
//new IncFieldX("control_staves", 5),
//new ToggleField("done"),
//new TugCP(70,.530633,.037781),
//new ClickButton(extrudePatch),
//
//new IncFieldX("distance",54),
//new IncFieldX("insertions"),
//new IncFieldX("insertions"),
//new ToggleField("spiderWebCenter"),
//new ToggleField("done"),
//new DragViewRot(.998318,-.054811,.018911,.927998,-1.584375,.103125),
//
//
//new ClickButton(insertControlPoint),
//
//new SelNurbsLine(276,277,.901704),
//new ToggleField("done"),
//new DragViewRot(.603321,-.796824,.032776,1.952668,-.529024,-.277214),
//new TugCP(96,-.517919,-.27244),
//new TugCP(98,-.397276,-.403361),
//new DragViewRot(.338842,-.932924,-.121812,1.263294,-.397276,-.403361),
//new TugCP(272,-.023685,-.120512),
//new TugCP(294,.019709,-.188565),
//new TugCP(316,.060561,-.259828),
//new DragViewRot(.701513,-.49671,-.511037,.528121,.060561,-.259828),
//
//new Section("Complete"),








#if NARATION
	new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\create-new-file.wav"),
#else
		new ClickButton(fileMenu),
		new Move_MenuItem("new     (Ctrl N)"),
		new Click,
#endif
		//new SetFieldValue("filename", "nurbs-stitched-head.smls"),
		//new ToggleField("save"),
		//new ClickYes(),

//new Section("Crap"),
//
//new ClickButton(newRectangle),
//new ClickButton(convertToPatch),
//new SelectNode(3),
//new SelectNode(4),
//new ToggleField("mirror"),
//new MoveToExitWindow(),
//new Click(),
//new MoveToExitSceneTree(),
//new Click(),
//new Section("Crap2"),
//
//new RectVert(-.628125,1.06875,.714375,-.26375),
//new Neutral(.52,-.02),
//
//new Scale1d(1.197704,-.697705),
//new TugCP(16,1.153863,-.593863),


new Section("Set birds eyes view"),

#if NARATION
	new Wait(3.25),
	new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\birds-eye4.wav"),
	new Wait(2),
#endif

new ClickButton(setBirdsEyeViewOrientation),
new Section("Add nurbs lathe"),
	new Wait(2.5),
#if NARATION
	new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\make-sure-mirror-state.wav"),
	new MoveToButton(toggleCreateMirrorObjectMode),
#endif


#if NARATION
	new Wait(7),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\set-lathe-position.wav"),
#endif
new ClickButton(buildNurbsLatheForSelPart),
new AddCtrlPnt(0,0),

#if NARATION
new Wait(14),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\set-spindle-orientation.wav"),
#endif
new AddCtrlPnt(0,.5),

#if NARATION
new Wait(4),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\add-control-points.wav"),
#endif

new AddCtrlPnt(.109375,-.50625),
new AddCtrlPnt(.26875,-.503125),
new AddCtrlPnt(.498125,-.48),
new AddCtrlPnt(.715625,-.438125),
new AddCtrlPnt(.76875,.143125),
new AddCtrlPnt(.80125,.496875),
new AddCtrlPnt(.811875,.789375),
new ToggleField("done"),

new ClickButton(setFrontViewOrientation),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\right-drag-view.wav"),
#endif

new DragViewRot(.980665,-.195405,.010644,.268919),
new DragViewRot(.980665,-.195405,.010644,.268919, -.03125,-.159375),


new Section("Convert to patch"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\convert-to-patch.wav"),
new Wait(8),
#endif

new ClickButton(convertToPatch),

#if NARATION
new Wait(2),
#endif

new IncFieldX("control_staves", 5),

#if NARATION
new Wait(2),
#endif

new ToggleField("done"),


new DragViewRot(.799235,-.597324,.066543,.340692, -1.584375,-.003125),
//new Section("Toggle backface select"),
//new ClickButton(toggleBackfaceSelect),

new Section("Extrude 2 holes for the eyes"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\extrude-eyes.wav"),
new Wait(3),
#endif
new TugCP(64,-.448171,.263553),
new ClickButton(extrudePatch),
#if NARATION
new Wait(1),
#endif
new DecFieldX("distance",19),

#if NARATION
new Wait(3),
#endif
new ToggleField("done"),

new Section("Extrude to form the ears"),
#if NARATION
new Wait(.5),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\extrude-ears.wav"),
//new Wait(3),
#endif
new TugCP(70,.810003,.171163),
new ClickButton(extrudePatch),

new ToggleField("spiderWebCenter"),

#if NARATION
new Wait(6),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\increase-insertions.wav"),
#endif

new IncFieldX("distance",15),
new IncFieldX("insertions"),
new ToggleField("done"),

new Section("Hide grid"),
#if NARATION
new Wait(.25),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\hide-grid.wav"),
#endif

new ClickButton(openGridControl),
new ToggleField("show"),
new MoveToExitWindow(),
new Click(),


new Section("Manipulate last ring"),

new ClickButton(setLeftViewOrientation),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\select-ring.wav"),
new MoveToButton(selectRing),
new Wait(.5),
#endif

new ClickButton(selectRing),
new SelNurbsLine(41,42,.840145),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\drag-pivot-point.wav"),
#endif

new MoveToMultiSelectPivotPoint(),
new Move3d(Vec3f(.789375,-.815,0)),

#if NARATION
new Wait(.25),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\drag-lever-point.wav"),
#endif

new Rotate(1,1.259375,-.815),

#if NARATION
new Wait(1),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\squash-ring.wav"),
#endif

new Scale1d(1,.995094,-.815),
#if NARATION
new Wait(3),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\move-ring.wav"),
#endif

new TugCP(53,.652019,-.925),
new Section("Manipulate 2nd last ring"),
new ClickButton(selectRing),

new SelNurbsLine(22,23,.613982),

new MoveToMultiSelectPivotPoint(),
new Move3d(Vec3f(.496874,-.8,0)),

new Rotate(1,.981874,-.315),

new Scale1d(1, .795047,-.501826),

new Section("Insert control line from ear to ear"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-line.wav"),
new MoveToButton(insertControlPoint),
new Wait(2),
#endif

new ClickButton(insertControlPoint),
//new Wait(.5),
#if NARATION
new DragViewRot(0,-1,0,1.570796,.24375,.253125),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\preview-line.wav"),
new Wait(2),
#endif

new SelNurbsLine(402,403,.986393),

#if NARATION
new Wait(5),
#endif

new ToggleField("done"),

new TugCP(96,1.117963,.81433),
new TugCP(94,.889704,.580148),

new TugCP(357,.317847,.298338),
new TugCP(434,.295536,.291888),

new Section("Drag ears back"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\ears-too-far-forward.wav"),
new Wait(11),
#endif

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\toggle-out-of-backface-ignore.wav"),
new Wait(1.5),
#endif

new ClickButton(toggleBackfaceSelect),

#if NARATION
new Wait(1),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\shift-drag-rectangle-selection.wav"),
new Wait(1),
#endif

new RectVert(-.215625,.475,.419375,-.22),
#if NARATION
new Wait(1.25),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\drag-ears-back.wav"),
new Wait(1),
#endif
new TugCP(436,.614032,.170388),

new Section("Drag some of the neck forward"),
//#if NARATION
//new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\rect-tool-saves-time.wav"),
//#endif
new RectVert(.028125,-.346875,.793125,-.976875),
new TugCP(115,-.186876,-.409043),

new Section("Insert control line in neck"),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-ring-in-neck.wav"),
#endif

new ClickButton(insertControlPoint),
new AddCtrlPnt(1.215625,-.571875),
new ToggleField("done"),

new Section("Squash and stretch neck rings"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\squash-neck-ring.wav"),
#endif

new ClickButton(selectRing),

new SelNurbsLine(61,62,.517427),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\explain-neutral-mode.wav"),
#endif

new Neutral(0, 1.375921,-.527059),

#if NARATION
new Wait(3),
#endif

new Scale1d(0, 1.227188,-.570804),
new TugCP(74,.186662,-.853632),


new ClickButton(setFrontViewOrientation),

new Scale1d(0,.240729,-.740439),
new TugCP(34,.598436,-.562465),
new TugCP(32,.699718,-.412613),
new ClickButton(selectRing),
new SelNurbsLine(91,92,.875718),
//new Scale1d(0,.270341,-.924781),
new Scale1d(0,.295341,-.924781),


new Section("Toggle into ignore backface"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\toggle-back-to-backface-ignore.wav"),
new DemoMove(.09375,-.121875),
new DemoMove(.515625,-.171875),
#endif
new ClickButton(toggleBackfaceSelect),

new Section("Squash and stretch mouth rings"),

#if NARATION
new Wait(2),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\squash-stretch-mouth-rings.wav"),
#endif

new ClickButton(selectRing),

new SelNurbsLine(282,283,.064064),

new Scale1d(1, 0,.073484),
new Scale1d(0,1.090307 + .007 , 0),
new ClickButton(selectRing),

new SelNurbsLine(303,304,.545478),

new Scale1d(1,0,.110357),

new Section("Drag mouth down"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\drag-mouth-down.wav"),
#endif

new RectVert(-.35,.115625,.32,-.176875),
new TugCP(296,0,-.146876),

#if NARATION
new Wait(3),
//new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\and-drag-this-point-down.wav"),
#endif


new TugCP(259,-.49704,-.09295),

new Section("Insert line from ear across over the face to the other ear"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\explain-inserting-from-ear-to-ear.wav"),
new DemoMove(-.346875,.065625),
new DemoMove(.296875,.025),
new DemoMove(-.346875,.065625),
#endif

new DragViewRot(.54256,.806374,-.235352,.903148,-.346875,.065625),
new ClickButton(insertControlPoint),


#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\line-goes-to-mouth.wav"),
#endif
new SelNurbsLine(413,414,.914152),
#if NARATION
new Wait(3.4),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\click-here-to-divert.wav"),
#endif
new SelNurbsLine(335,294,.5),

#if NARATION
new Wait(1),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\explain-5-sided-poly.wav"),
new DragViewRot(.828839,.389615,-.165625,-.059375,-.209375,-.121875),
new DemoMove(-.275,.296875),
new DemoMove(-.4125,.221875),
new DemoMove(-.475,-.053125),
new DemoMove(-.284375,-.15),
new DemoMove(-.2125,-.125),
new Wait(6.4),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\click-done-for-ear-diversion.wav"),
#endif
new ToggleField("done"),
new DragViewRot(.97721,.17107,-.12568,.62586,-1.546875,-.015625),

#if NARATION
new Wait(2),
#endif

new Section("Insert line from eye to mouth"),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-from-eye-to-mouth.wav"),
#endif

new ClickButton(insertControlPoint),

new SelNurbsLine(356,357,.9),
new ToggleField("done"),

new Section("Insert ring arround mouth"),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\ring-arround-mouth.wav"),
#endif

new ClickButton(insertControlPoint),

new SelNurbsLine(314,337,.97),
new ToggleField("done"),
/*
new Section("Extrude nose"),

new TugCP(360,.039357,-.278737),
new ClickButton(extrudePatch),

new ToggleField("spiderWebCenter"),
new IncFieldX("distance",30),
new IncFieldX("insertions"),
new ToggleField("done"),

new DragViewRot(-.175841,-.980757,.084832,5.343204,-1.546875,-.015625),
new ClickButton(setRightViewOrientation),
new ClickButton(unDo),
new ClickButton(unDo),
new ClickButton(unDo),
new ClickButton(unDo),
new DragViewRot(.97721,.17107,-.12568,.62586, -1.78125, -.934375),
new ClickButton(unDo),

*/
new Section("Insert line from eye to eye to form the nose"),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-from-eye2.wav"),
#endif

new ClickButton(insertControlPoint),

new SelNurbsLine(419,420,.084796),
new SelNurbsLine(312,358,.5),

new ToggleField("done"),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\explain-triangle.wav"),
new DemoMove(-.167149,-.31227),
new DemoMove(-.160582,-.414253),
new DemoMove(-.076395,-.412265),
new DemoMove(-.072573,-.296912),
new DemoMove(-.113412,-.303544),
new DemoMove(-.074223,-.346723),
new Wait(7),
#endif

new Section("Shape the nose"),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\drag-out-nose.wav"),
new RectVert(-.0875,-.103125,.0875,-.325625),
new ClickButton(setRightViewOrientation),

new TugCP(335,.652637,.018774),

new Rotate(0,1.077398,.259855),
new ClickButton(setFrontViewOrientation),

new TugCP(691,-.089763,-.039139),
new TugCP(689,-.128299,-.029482),
new TugCP(646,-.082703,.157866),
new TugCP(644,-.105648,.134294),
new DragViewRot(-.968923,.229671,.091869,1.502761,-.105648,.134294),
new TugCP(333,.039459,.660672),
new DragViewRot(-.999357,.028352,-.021928,.979855,.039459,.660672),
new TugCP(691,-.038497,.391052),

new ClickButton(setFrontViewOrientation),
new TugCP(693,.059999,-.035594),
new TugCP(335,-.000001,-.022756),

new Section("Insert another line from eye down the nose to the other eye"),

new DragViewRot(-.161284,.948347,-.273176,.547811,-.000001,-.022756),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\zoom.wav"),
#endif

new MouseZoom(1.61051,-.000001,-.022756),

new ClickButton(insertControlPoint),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-from-eye3.wav"),
#endif

new SelNurbsLine(441,442,.672416),
new DragViewRot(-.850714,.355255,-.387402,.72996),
new ToggleField("done"),

//#if NARATION
//new Wait(5),
//#endif

new Section("Extrude nostrils"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\extrude-nostril.wav"),
#endif

new TugCP(737,.208937,.468947),
#if NARATION
new Wait(1.6),
#endif
new ClickButton(extrudePatch),
new DecFieldX("distance",5),
new ToggleField("done"),
#if NARATION
new Wait(0.4),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\strange-nose.wav"),
new Wait(5),
#endif


new Section("Insert short line from eye to eye"),

new DragViewRot(.522311,.758442,-.389816,.399488),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-line-between-eyes.wav"),
new DemoMove(.05623,.478399),
new DemoMove(.408223,.316935),
new DemoMove(.05623,.478399),
#endif

new ClickButton(insertControlPoint),

new SelNurbsLine(450,451,.15119),
new ToggleField("done"),


new Section("Insert line from eye to neck"),
new DragViewRot(.716254,-.496813,-.490059,.226691),

#if NARATION
//new Wait(1),
new DemoMove(-.432792,.426519),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-from-eye-to-neck.wav"),

new DemoMove(-.299243,.603962),
new Wait(.5),
new DemoMove(-.672493,.566498),
new Wait(.5),
#endif


new ClickButton(insertControlPoint),
new SelNurbsLine(465,466,.788794),
new ToggleField("done"),
new ClickButton(setFrontViewOrientation),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\change-view-position"),
#endif
new DragViewPos(.083824,-.194038,0,-.515625,.671875),

new Section("Round the eyes"),
new TugCP(525,-.517797,.121714),
new TugCP(490,-.258936,.069963),
new TugCP(509,-.275455,.119012),
new TugCP(498,-.100146,.322468),
new TugCP(496,-.116137,.219662),
new TugCP(494,-.134605,.153421),
new TugCP(492,-.185413,.110135),
new TugCP(517,-.126666,.311516),
new TugCP(515,-.132657,.233711),
new TugCP(513,-.156123,.187469),
new TugCP(511,-.196932,.134185),
new TugCP(504,-.630251,.304781),
new TugCP(523,-.596771,.293829),
new TugCP(144,-.551897,.841792),
new TugCP(238,-.513371,.742044),

new TugCP(502,-.473139,.497735),
new TugCP(500,-.207849,.513981),
new TugCP(519,-.214367,.469976),
new TugCP(521,-.471607,.464837),


new MouseZoom(1, -.471607,.464837),
new DragViewPos(0,0,0, -.471607,.464837),

new Section("Flatten ears"),
new TugCP(248,.654983,.112242),


#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\flatten-ear-rings.wav"),
#endif


new ClickButton(selectRing),

new SelNurbsLine(662,663,.364238),

new Scale1d(0,.827979,.195224),
new TugCP(673,.74,-.121716),

new ClickButton(selectRing),

new SelNurbsLine(697,698,.816192),

new Scale1d(0,.86815,.208774),


new Section("Squash head front and side view"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\toggle-out-of-backface-ignore-mode.wav"),
#endif

new ClickButton(toggleBackfaceSelect),

new RectVert(-1.05625,.865625,1.106251,-.951874),

#if NARATION
new Wait(.5),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\squash-sides-of-head.wav"),
#endif

new Scale1d(0,.345592,-.030117),

new ClickButton(setLeftViewOrientation),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\squash-head-side-view.wav"),
#endif

new Scale1d(0,.327458,-.030117),

new Section("Squash face from eyes down to the chin"),
#if NARATION
new Wait(1.5),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\squash-face-down-to-chin.wav"),
#endif

new RectVert(-.696875,.540625,-.104376,-.851874),
new ClickButton(setFrontViewOrientation),

new MoveToMultiSelectPivotPoint(),
new Move3d(Vec3f(0,-.645762,.400929)),

new Scale1d(1,0,-.280533),


new Section("Lower ears"),

#if NARATION
new Wait(1),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\drag-ears-down.wav"),
#endif

new RectVert(.478125,.49375,.753125,-.16875),
new TugCP(673,.51148,-.291716),

new Section("Drag up forehead and chin"),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\drag-up-forehead-and-chin.wav"),
#endif

new ClickButton(toggleBackfaceSelect),
new TugCP(146,0,.908666),
new TugCP(148,.358366,.796106),
new TugCP(150,.51299,.475107),
new TugCP(244,.435008,.304926),

new TugCP(228,-.16003,-.601794),
new TugCP(191,-.178395,-.645599),
new TugCP(24,-.166571,-.670545),
new TugCP(250,.385852,-.432201),
new TugCP(123,.409693,-.477849),
new TugCP(42,.390395,-.532458),
new TugCP(40,.4754,-.397594),


new Section("Round face"),
new DragViewRot(-.994352,-.078238,.07171,1.193627,.4754,-.397594),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\model-from-different-angles.wav"),
#endif

new TugCP(121,.222859,-.155137),
new TugCP(123,.413695,-.257481),

new TugCP(252,.178635,.040091),
new TugCP(250,.329738,.060549),
new TugCP(248,.428287,.100874),
new TugCP(246,.446879,.198083),
new TugCP(244,.466311,.364088),
new TugCP(289,.134116,.138185),
new TugCP(291,.281759,.168781),
new TugCP(293,.325611,.218605),
new TugCP(366,.092633,.210239),
new TugCP(368,.202407,.242581),
new TugCP(370,.240714,.264509),

//new DragViewRot(-.007224,-.970627,-.240482,1.288324),
new Section("Shape head side on2"),
//new TugCP(758,-.208548,-.146399),
/////////



new ClickButton(setLeftViewOrientation),

new TugCP(598,.151353,-.184187),
new TugCP(624,.185819,-.175679),

new TugCP(608,.306166,-.193913),
new TugCP(634,.306571,-.188166),

new TugCP(600,.123298,.040394),
new TugCP(691,.174804,.032602),

new TugCP(24,.00796,-.696909),
new TugCP(123,.146645,-.450758),
new TugCP(42,.223929,-.457771),
new TugCP(40,.486723,-.190263),
new TugCP(38,.678396,-.097248),
new TugCP(36,.896294,-.034493),
new TugCP(34,1.054263,-.021634),

new Section("mOVE NECK FORWARD"),

new RectVert(.509375,-.453125,1.129375,-1.025625),
new TugCP(109,.530352,-.924868),


new TugCP(90,.038401,-.765145),
new TugCP(113,.047382,-.925111),
new TugCP(111,.191612,-.91832),
new TugCP(88,.21477,-.690523),
new TugCP(86,.326813,-.681319),
new TugCP(109,.365351,-.914868),



new TugCP(228,-.195513,-.662479),
new TugCP(250,-.05445,-.468255),
new TugCP(248,.054613,-.277581),
new TugCP(234,-.017298,.023936),
new TugCP(236,-.211267,.299926),
new TugCP(238,-.383929,.546178),
new TugCP(240,-.415282,.59137),

new Section("Shape head side on 2"),
new TugCP(289,-.298806,-.655927),
new TugCP(291,-.212396,-.49623),
new TugCP(293,-.147773,-.346948),
new TugCP(758,-.254563,-.099494),

new Section("Insert ring arround chin and nose"),
//new DragViewRot(.269881,-.943478,-.192387,.418219),


new DragViewRot(.735627,-.652391,-.182316,.291298,-.254563,-.099494),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\monkey-chin.wav"),
#endif

new ClickButton(insertControlPoint),
new SelNurbsLine(366,375,.9),
new ToggleField("done"),

//new ClickButton(setLeftViewOrientation),
//
//new TugCP(384,-.378415,-.628538),
//new TugCP(386,-.287382,-.484442),
//new TugCP(388,-.27015,-.357393),


new Section("Insert ring arround mouth"),

new TugCP(384,.01198,-.699168),
new TugCP(386,.180918,-.550642),
new TugCP(366,.002614,-.623109),
new TugCP(368,.140701,-.527411),
new TugCP(370,.19038,-.425041),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\ring-arround-mouth2.wav"),
#endif

new ClickButton(insertControlPoint),

new SelNurbsLine(348,357,.9),
new ToggleField("done"),
new DragViewRot(.116838,-.992353,.039814,1.120597),

//new TugCP(402,-.225898,-.674562),
new TugCP(404,-.093141,-.524534),
new TugCP(406,-.058935,-.398505),

new TugCP(384,-.24789,-.596859),
new TugCP(386,-.157369,-.498013),
new TugCP(388,-.13188,-.393631),

new TugCP(366,-.255542,-.522848),
new TugCP(368,-.196221,-.482687),
new TugCP(370,-.170634,-.407981),

//new TugCP(372,-.405535,-.260262),
new Section("Shape mouth"),
new ClickButton(setFrontViewOrientation),
new MouseZoom(1.948717,-.528125,-.903125),
new DragViewPos(0,.192434,0,-.003125,-.64375),
new RectVert(-.01875,-.153125,.39625,-.408125),
new TugCP(457,0,-.30877),

new TugCP(386,.501963,-.518807),
new TugCP(388,.565676,-.326376),

//new TugCP(386,.504127,-.515569),
//new TugCP(388,.533573,-.322571),
//new TugCP(404,.592763,-.554041),
new DragViewRot(-.961219,-.271494,.048469,.973984,.565676,-.326376),
new TugCP(350,.173496,.391505),
new TugCP(352,.197219,.424543),
new TugCP(348,-.104568,.366862),
new TugCP(339,-.089996,.395332),
new TugCP(341,.109896,.4195),
new TugCP(343,.135577,.435551),
new TugCP(345,-.006986,.480975),
new TugCP(354,.023808,.510835),
new ClickButton(setFrontViewOrientation),

new Section("Shape mouth 2"),
new TugCP(343,.325761,-.347952),
new TugCP(341,.309438,-.383243),
new TugCP(350,.319905,-.413387),
new TugCP(352,.378702,-.324459),
new TugCP(370,.445126,-.326893),
new TugCP(368,.384679,-.470114),
new TugCP(366,.151252,-.553058),
new TugCP(348,.168213,-.438709),
//new TugCP(372,.258043,-.132178),
new TugCP(480,.111558,-.08353),
new TugCP(478,0,-.083101),
new TugCP(464,0,-.168815),
new TugCP(466,.113384,-.158064),
new TugCP(354,.251554,-.214464),

new Section("Shape nose tip"),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\stretch-nose-wider.wav"),
#endif

new ClickButton(setRightViewOrientation),
new ClickButton(toggleBackfaceSelect),

new RectVert(.775,.290625,1.240001,-.046875),
new ClickButton(setFrontViewOrientation),
new ClickButton(toggleBackfaceSelect),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\unselect-points.wav"),
#endif

new UnRectVert(.240625,.1875,.370625,-.1325),
new UnRectVert(-.3875,.1625,-.205,-.115),
new Scale1d(0,.700047,.066679),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\unselect-all-points.wav"),
#endif
new RectVert(-.415625,.515625,-.415625,.515625),

new Section("Shape nose tip2"),

new DragViewRot(.019928,.99962,.019046,1.425135,-.415625,.515625),
new TugCP(846,.937616,.266172),
new TugCP(441,1.019999,.096512),
new DragViewRot(-.604547,.641169,-.472678,1.812823,1.019999,.096512),
new TugCP(427,1.044305,.340386),
new ClickButton(setRightViewOrientation),

new Section("Shape nose 3"),
new ClickButton(setWormsEyeViewOrientation),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\ring-select-nostrils.wav"),
#endif

new ClickButton(selectRing),

new SelNurbsLine(1003,1004,.254756),
new TugCP(1004,.090436,.845623),

new MouseZoom(3.138429, .090436,.845623),
new DragViewPos(0,.192434,-.26048,.090436,.845623),
new ClickButton(selectRing),

new SelNurbsLine(985,986,.280668),
new TugCP(986,-.138304,.548432),

new TugCP(427,-.227866,.790436),
new TugCP(981,-.161362,.709499),

new Section("Shape nose 4"),

new DragViewRot(-.276199,.961092,.003983,1.560008,-.161362,.709499),
new ClickButton(setRightViewOrientation),

new TugCP(429,.950831,.138628),
new TugCP(443,.962058,.333753),
new TugCP(441,.714519,.323242),
new TugCP(427,.825438,.07754),
new TugCP(891,.671762,.100657),
new TugCP(913,.60814,.22875),
new DragViewRot(-.325916,.270811,-.905781,1.201524,.60814,.22875),
new TugCP(846,.710968,.461595),
new DragViewRot(.459381,.809162,-.366367,1.427108,.710968,.461595),
new ClickButton(setRightViewOrientation),
new TugCP(846,.595395,.455053),
new TugCP(848,.70132,.512044),
new TugCP(844,.55882,.338102),
new TugCP(842,.529826,.339091),

new TugCP(840,.472481,.344104),
new TugCP(559,.484473,.175947),
new TugCP(541,.457297,.014054),
new TugCP(427,.747448,.186228),
new TugCP(306,.510867,.875022),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\les-is-easier-to-keep-smooth.wav"),
#endif

new Section("Shape nose 5"),

new ClickButton(setFrontViewOrientation),

new TugCP(938,-.370743,.188299),

new TugCP(940,-.34888,.030703),
new TugCP(915,-.388145,.074582),
new TugCP(913,-.400542,.228751),
new TugCP(846,-.18335,.455053),
//new TugCP(441,-.21884,.323242),
//new TugCP(427,-.218598,.186228),


new Section("Shape nose 6"),
new ClickButton(setRightViewOrientation),

new TugCP(915,.590198,.074581),
new TugCP(940,.492514,.030703),
new TugCP(942,.511118,.01025),
new TugCP(944,.610801,-.026523),
new TugCP(902,.70641,-.015451),
new TugCP(523,.455248,-.212873),
new TugCP(476,.497425,-.134525),

new Section("Insert line from eye to mouth"),
new ClickButton(setFrontViewOrientation),

#if NARATION
new DemoMove(.481893,.15928),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\like-here-for-exmaple.wav"),
new DemoMove(.994998,-.4483),
new DemoMove(1.061404,-.347431),
new DemoMove(.94906,.229186),
new DemoMove(.523939,.302437),
#endif

new ClickButton(insertControlPoint),
new SelNurbsLine(665,666,.098535),
new ToggleField("done"),

new Section("Close mouth"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\close-mouth.wav"),
#endif
new DragViewPos(0,.387595,-.26048,.015625,-.6),
new TugCP(475,0,.114369),
new TugCP(473,-.154514,.107818),
new TugCP(516,-.346078,.111476),
new TugCP(514,-.439791,.11475),
new TugCP(512,-.535724,.102746),
new TugCP(510,-.441677,.09623),
new TugCP(508,-.240195,.092371),

new Section("Seal lips 2"),
new ClickButton(setRightViewOrientation),

new TugCP(508,.548099,.125776),

new TugCP(519,.520335,-.094046),
new TugCP(523,.268903,.089954),
new TugCP(525,.395771,.179566),
new TugCP(527,.519702,.267103),
new TugCP(480,.629537,.357935),

new TugCP(482,.631411,.34062),

new TugCP(473,.557662,.137818),
new TugCP(514,.402889,.104751),

new TugCP(547,.347781,.256128),
new TugCP(569,.322633,.404895),
new TugCP(591,.309157,.606087),


new DragViewRot(-.779352,.255992,-.571909,1.244572,.309157,.606087),
new TugCP(512,-.198497,.582751),



new TugCP(567,-.479776,.724293),
new TugCP(329,-.972379,.643011),
new TugCP(589,-.690259,.71589),
new TugCP(565,-.489927,.600173),

new TugCP(914,1.267699,-.444673),
new TugCP(912,1.159724,-.00445),
new TugCP(422,1.019105,-.092696),
new TugCP(400,.884669,-.117114),

new ClickButton(setRightViewOrientation),

new TugCP(512,.280322,.087402),
new TugCP(510,.375524,.096231),
new TugCP(475,.562681,.134368),

new Section("Insert ring next to most inner mouth ring"),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-ring-next-to-most-inner-mouth-ring.wav"),
#endif

new ClickButton(setFrontViewOrientation),

new ClickButton(insertControlPoint),

new SelNurbsLine(508,519,.282977),
new ToggleField("done"),

#if NARATION
new Wait(2.3),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\drag-most-inner-mouth-ring-into-head.wav"),
#endif

new ClickButton(selectRing),

new SelNurbsLine(495,496,.947449),
new ClickButton(setRightViewOrientation),

new TugCP(546,.170524,.071231),
new ClickButton(setFrontViewOrientation),

new Section("Insert another ring in lips"),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-last-mouth-ring.wav"),
#endif

new DragViewRot(.813898,.578363,.055372,.442723),
new ClickButton(insertControlPoint),

new SelNurbsLine(544,555,.582371),
new ToggleField("done"),
new DragViewRot(.074605,.984969,-.155791,.331666),
new ClickButton(setFrontViewOrientation),





new Section("Work on 2nd most inner mouth ring"),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\awkward-mouth-ring.wav"),
#endif

new ClickButton(selectRing),
new SelNurbsLine(524,525,.973648),
new ClickButton(setSingleActiveMode),


new TugCP(526,0,.096501),
new TugCP(524,-.151249,.102385),
new TugCP(599,-.329975,.095574),

new TugCP(597,-.439791,.11475),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\overlap-points.wav"),
#endif

new TugCP(595,-.535724,.102746),
new TugCP(593,-.481677,.13123),

new TugCP(591,-.235407,.155776),

new Section("Insert rings arround eyes"),
new MouseZoom(1.948717,-.235407,.155776),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-rings-arround-eyes.wav"),
#endif

new DragViewPos(0,0,-.260479,-.371875,.934375),
new TugCP(1006,-.782297,-.193885),

new ClickButton(insertControlPoint),

new SelNurbsLine(741,762,.282381),
new ToggleField("done"),

//new TugCP(752,-.103179,.118922),
//new TugCP(750,-.181763,.054969),
//new TugCP(748,-.257295,.006762),
//new TugCP(746,-.359289,-.023186),
//new TugCP(744,-.544203,-.057201),
//new TugCP(762,-.733495,-.051602),
//new TugCP(760,-.774979,.297863),
//new TugCP(758,-.576549,.602167),
//new TugCP(756,-.197656,.521407),
//new TugCP(754,-.132158,.275987),
//
//new ClickButton(setRightViewOrientation),
//
//new TugCP(306,.22563,.279627),
//new TugCP(312,.247458,.573572),
//
//new ClickButton(selectRing),
//
//new SelNurbsLine(752,753,.615252),
//
//new TugCP(752,.264474,.118922),
//new TugCP(750,.236917,.054969),
//new TugCP(748,.228168,.006762),
//new TugCP(746,.223138,-.023186),
//new TugCP(744,.185454,-.057201),
//new TugCP(762,.06504,-.051602),
//new TugCP(760,.025312,.297863),
//new TugCP(758,.207036,.602167),
//new TugCP(756,.203828,.521407),
//new TugCP(754,.194922,.275987),
//
//
//
//new Section("Shape eyes2"),
//
//
//new ClickButton(selectRing),
//new SelNurbsLine(793,794,.141932),
//new ClickButton(setSingleActiveMode),
//
//new TugCP(804,.092868,.016237),
//new ClickButton(setFrontViewOrientation),
//
//new Scale1d(0,.154963,.151536),
//new TugCP(788,-.35011,.041911),
//new Section("Shape eyes2"),
//
//new ClickButton(selectRing),
//new SelNurbsLine(822,823,.049162),
//
//new TugCP(823,-.642008,.211713),
//
//new Scale1d(1,-.399533,.729216),
//
//new Scale1d(0,.16056,.169124),
//new TugCP(901,.211516,.240088),
//new TugCP(895,.285939,.052417),
//new TugCP(899,.215472,.159223),
//new TugCP(926,.52389,.396144),
//new TugCP(909,.630904,.0593),
//new TugCP(930,.617162,.071424),
//
//new TugCP(891,.505515,.040512),
//new TugCP(1112,.559069,-.214971),
//new TugCP(466,.540609,-.375876),
//new TugCP(444,.452108,-.503905),
//new TugCP(422,.383085,-.596278),
//new TugCP(400,.314385,-.643817),
//
//new MouseZoom(1.331),
//new DragViewRot(-.991306,-.121366,.05083,1.267616),
//new TugCP(442,.313956,-.01489),
//new TugCP(440,.267471,-.037722),
//new TugCP(464,.377023,-.085729),

/////////////////
//new TugCP(760,-.762048,.24309),
//new TugCP(758,-.529108,.542142),
//new TugCP(756,-.174732,.470834),
//new DragViewRot(-.884169,.463907,.055088,1.089252),
//new TugCP(756,-.179112,.495414),
//new DragViewRot(-.391277,.861457,.323719,1.713457),
//new TugCP(306,.063551,.33736),
//new TugCP(744,.194472,.121696),
//new DragViewRot(-.056672,.838689,.541654,1.960639),
//new DragViewRot(-.143228,.640062,.754855,2.516413),
//new TugCP(802,.379299,-.108443),
//new TugCP(804,.432607,-.079596),
//new TugCP(786,.358897,-.023093),
//new TugCP(788,.280714,.021849),
//new TugCP(790,.214835,.044083),
//new TugCP(792,.154288,.068489),
//new TugCP(794,.11466,.074755),
//new TugCP(796,.048023,.074808),
//new DragViewRot(-.934026,.27704,.225487,1.082903),
//new TugCP(1092,-.328895,.080922),
//new DragViewRot(.184198,.758605,.624972,1.935591),
//new TugCP(744,.301633,-.285578),
//new TugCP(746,.299749,-.16307),
//new DragViewRot(-.248752,.120576,.961033,1.153251),

//new DragViewRot(.088047,.977612,.191109,1.25332),
//new DragViewRot(-.8709,.317587,-.375063,1.173303),



new TugCP(760,-.762048,.24309),
new TugCP(758,-.529108,.542142),
new TugCP(756,-.174732,.470834),
//new DragViewRot(-.884169,.463907,.055088,1.089252),

//new TugCP(306,.076774,.350342),
new DragViewRot(-.378646,.843636,.380665,1.849504,-.174732,.470834),
new TugCP(1092,.331361,.086309),
new DragViewRot(-.188183,.743105,.64217,1.652615,.331361,.086309),
new ClickButton(selectRing),

new SelNurbsLine(795,796,.12104),
new ClickButton(setSingleActiveMode),

new ClickButton(setRightViewOrientation),

new TugCP(804,.126206,.001237),
//new TugCP(754,.218686,.192309),

new DragViewRot(.753192,-.037039,.656758,.079928,.126206,.001237),

new Section("Shape ear base"),
//#if NARATION
//new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\work-towards-defining-the-ears.wav"),
//#endif

new ClickButton(setLeftViewOrientation),

new MouseZoom(1,-.396875,-.8875),
new DragViewPos(0,0,0,-.396875,-.8875),

new TugCP(1019,.483433,-.106208),
new TugCP(1045,.481769,-.109612),

new TugCP(1017,.467075,.155095),
new TugCP(1043,.460307,.15189),

new TugCP(1015,.268081,.163769),
new TugCP(1041,.276572,.154701),



//new Section("Shape ears2"),
//
//new ClickButton(setFrontViewOrientation),
//new TugCP(1015,.524398,.163769),
//new TugCP(1041,.600921,.159221),
//new TugCP(1013,.506772,.040394),
//new TugCP(1011,.504658,-.184187),
//new ClickButton(setWormsEyeViewOrientation),
//new TugCP(246,.502914,.017298),
//new TugCP(248,.470337,-.054613),
//new TugCP(1021,.447135,-.310113),

new Section("Shape back of head"),
new ClickButton(setBackViewOrientation),

//#if NARATION
//new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\refine-back-of-head.wav"),
//#endif

//new TugCP(86,-.25116,-.607048),
//new TugCP(84,-.247381,-.575976),
//new TugCP(82,-.172816,-.570491),

//new TugCP(107,-.402019,-.918113),
//new TugCP(105,-.280844,-.915647),

//new TugCP(36,-.30702,-.034493),
//new TugCP(38,-.408177,-.097248),
new TugCP(170,-.360311,.730642),
new TugCP(172,-.515775,.386109),
new TugCP(38,-.458177,-.130581),

//new TugCP(1017,-.524398,.163769),
//new TugCP(1019,-.471408,-.106208),

//new TugCP(1045,-.574243,-.109612),
//new TugCP(1043,-.593372,.16689),

new Section("Insert 3rd ring in ear"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\want-5-ear-rings.wav"),
new Wait(5),
#endif

new DragViewRot(-.741537,.438028,-.458177,-.130581),
new ClickButton(insertControlPoint),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-3rd-ear-ring.wav"),
new Wait(1),
#endif

new SelNurbsLine(1024,1037,.629613),
new ToggleField("done"),

//new ClickButton(setSingleActiveMode),
new ClickButton(selectRing),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\squash-inner-ear-ring.wav"),
#endif

new SelNurbsLine(1096,1097,.208124),
new ClickButton(setLeftViewOrientation),
new Scale1d(0,.484332,-.019124),

new Scale1d(1,.314307,.135876),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\and-drag-it-back-just-a-little.wav"),
#endif

new TugCP(1097,.391254,-.063977),

new Section("Insert 4th and 5th rings in ear"),
new MouseZoom(1.61051,.391254,-.063977),

new ClickButton(insertControlPoint),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-4th-ear-ring.wav"),
#endif

new SelNurbsLine(1086,1099,.299898),
new ToggleField("done"),

new ClickButton(setFrontViewOrientation),
new ClickButton(insertControlPoint),

#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\insert-5th-ear-ring.wav"),
#endif

new SelNurbsLine(1076,1089,.116406),
new ToggleField("done"),

new Section("Shape ear"),
#if NARATION
new Wait(.7),
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\now-only-need-to-drag-ear-points.wav"),
#endif

new TugCP(1119,.884043,.336713),
new TugCP(1145,.983894,.3289),

new TugCP(1117,.855788,.052506),
new TugCP(1143,.874953,.035427),

new DragViewRot(-.995788,-.084067,-.036599,1.344435,.874953,.035427),
//new TugCP(1099,.778828,-.774488),
//new TugCP(1089,.730461,-.529801),
//new TugCP(1089,.770461,-.399801),


new TugCP(1089,.760699,-.281538),
new TugCP(1099,.768828,-.559488),
new ClickButton(setFrontViewOrientation),

new TugCP(1125,.783138,-.41633),
new TugCP(1151,.877556,-.421188),

new TugCP(1115,.840794,-.282933),
new TugCP(1141,.885942,-.294403),



new ClickButton(setBackViewOrientation),
new Section("Shape ear .5"),

new TugCP(40,-.708353,-.306421),
new TugCP(1099,-.740244,-.312299),

new TugCP(1097,-.759208,-.171049),
new TugCP(1123,-.822723,-.198642),
new TugCP(1149,-.911744,-.194771),

new TugCP(1121,-.877389,.278745),
new TugCP(1147,-.966457,.257862),

new Section("Shape ear"),

new ClickButton(setLeftViewOrientation),
///

new ClickButton(selectRing),
new SelNurbsLine(1142,1143,.046176),
new ClickButton(setSingleActiveMode),
new TugCP(1147,.832501,.257862),
new TugCP(1145,.412528,.3289),
new TugCP(1143,.358961,.035427),
new TugCP(1141,.384344,-.294403),
new TugCP(1151,.480074,-.421188),
new TugCP(1149,.805482,-.19477),

new Section("Shape ear2"),
new ClickButton(selectRing),

new SelNurbsLine(1167,1168,.531891),

new UnRectVert(.6125,.240625,.82,-.304375),

new ClickButton(setFrontViewOrientation),


new TugCP(1169,.890432,.018587),
new TugCP(1167,.914792,-.160089),


new TugCP(1177,.919778,-.22155),
new TugCP(1171,.968759,.152097),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\explain-zbuffer-cage.wav"),
#endif



////
new ClickButton(setLeftViewOrientation),
//new RectVert(.65625,.15625,.70625,-.17125),
//new ClickButton(setSingleActiveMode),
//new ClickButton(setFrontViewOrientation),

//new TugCP(1173,1.001159,.138309),
//new TugCP(1175,.970141,-.136547),

new Section("Shape ear3"),

new ClickButton(setSingleActiveMode),
new ClickButton(selectRing),
new SelNurbsLine(1193,1194,.778026),

new DragViewRot(-.415057,-.394076,.82002,1.54952),
new TugCP(1195,.492075,.798168),
new ClickButton(setFrontViewOrientation),


new Scale1d(0,.874205,-.056249),
new ClickButton(setLeftViewOrientation),

#if NARATION
new DragViewRot(-.307709,-.895464,.321652,1.184117),
new DragViewRot(0,-1 , 0, 1.570796),
#endif

new TugCP(1199,.622241,.01172),



#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\option-of-clicking-zbuffer-cage.wav"),
#endif

new ClickButton(toggleZBufferCageMode),
#if NARATION
new Wait(2),
#endif


new ClickButton(setSingleActiveMode),
new ClickButton(selectRing),
new SelNurbsLine(1177,1178,.642288),

new TugCP(1173,.704969,.138309),
new TugCP(1171,.482751,.152097),
new TugCP(1169,.41914,.018587),
new TugCP(1167,.429754,-.160089),
new TugCP(1177,.512312,-.22155),
new TugCP(1175,.682489,-.136547),

//new TugCP(1199,.613395,-.001747),
//new TugCP(1197,.547062,.056025),
//new TugCP(1195,.456213,-.000728),
//new TugCP(1193,.467159,-.117329),
//new TugCP(1203,.535917,-.150294),
//new TugCP(1201,.615267,-.114225),

new DragViewRot(-.699238,-.704913,-.119013,2.758626,.682489,-.136547),
new DragViewRot(-.630112,-.669341,-.393626,3.068166,.682489,-.136547),
new TugCP(1167,-.498157,.46958),
new TugCP(1169,-.35777,.462528),

new TugCP(1173,-.393606,.421739),
new TugCP(1175,-.608477,.419497),

new DragViewRot(-.337011,-.935066,.109887,1.75429,-.608477,.419497),
new ClickButton(setLeftViewOrientation),

new TugCP(1169,.407821,.01128),
new TugCP(1167,.426589,-.183052),



new DragViewRot(.665311,-.732708,-.14318,.412058,.426589,-.183052),
//new TugCP(1175,1.098518,-.035449),
//new TugCP(1173,1.169232,.21634),

new Section("Fine tune"),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\final-refinement.wav"),
#endif



new ClickButton(toggleZBufferCageMode),

new ClickButton(setFrontViewOrientation),

new MouseZoom(2.143589,-.528125,-.903125),
new TugCP(863,.690352,.588024),
new TugCP(905,.667804,.42713),
new TugCP(926,.649729,.386812),
new TugCP(907,.761688,.230101),
new TugCP(928,.710709,.228885),
new TugCP(865,.859086,.200733),
new TugCP(867,.80711,-.022074),
new TugCP(909,.711785,.036923),
new TugCP(930,.671388,.061547),
new TugCP(891,.558882,.006963),
new TugCP(912,.561376,.035053),
new TugCP(849,.569757,-.071163),
new TugCP(1268,.595171,-.183694),
new TugCP(466,.598677,-.387712),
new TugCP(444,.470465,-.558462),
new MouseZoom(1,.470465,-.558462),



new TugCP(242,.349297,.546178),

new TugCP(438,.097238,-.549091),
new TugCP(440,.225205,-.451871),
new TugCP(442,.268746,-.347701),
new TugCP(464,.328573,-.357393),
new TugCP(462,.256925,-.484442),
new TugCP(289,.128425,-.655927),
new TugCP(293,.398493,-.346948),

new TugCP(90,.191031,-.765145),
new TugCP(113,.197238,-.925111),

new TugCP(1266,.174991,-.082792),
new TugCP(468,.169084,-.136372),
new TugCP(446,.154708,-.187956),

new TugCP(88,.279581,-.690523),
new TugCP(111,.320065,-.92332),



new Section("Fine tune side on"),


new ClickButton(setLeftViewOrientation),
new TugCP(146,.038507,.908666),
new TugCP(148,.043673,.796106),
new TugCP(150,.106357,.475107),
new TugCP(170,.810278,.730642),
new TugCP(168,.869904,.829329),
new TugCP(80,.606585,-.569931),
new TugCP(82,.571687,-.570491),
new TugCP(84,.520037,-.575976),
new TugCP(86,.412059,-.607048),
new TugCP(111,.156613,-.92332),
new TugCP(109,.298223,-.921317),
new TugCP(107,.510028,-.918113),
new TugCP(105,.67301,-.915647),
new TugCP(103,.72908,-.914799),

new Section("Fine tune side on2"),
new DragViewRot(-.998766,-.036213,.034003,.97216,.72908,-.914799),
#if NARATION
new DemoSound("C:\\Documents and Settings\\thyme\\Documents\\Nurbs Stitched Head Tutorial\\orientate-arround-point.wav"),
#endif

new TugCP(420,.21643,.104965),


new ClickButton(centerViewToControlPoint),
new MouseZoom(2.853117,.325,-.878125),

new DragViewRot(-.948377,.241413,.205673,1.257609,.325,-.878125),
new DragViewRot(-.138235,-.376435,.916072,2.58133,.325,-.878125),
new DragViewRot(-.377121,-.681986,.626638,1.913233,.325,-.878125),
new TugCP(420,.05,.0125),
new DragViewRot(.784953,.092935,.612545,2.277993,.05,.0125),
new TugCP(418,.053734,.045629),
new DragViewRot(-.220122,-.388922,.894587,2.816857,.053734,.045629),
new DragViewRot(.339506,-.379032,.860854,1.133313,.053734,.045629),
new TugCP(442,.089973,.159015),
new TugCP(250,.661256,.501571),
new DragViewRot(-.448065,-.332092,.830032,1.481446,.661256,.501571),
new TugCP(462,.383748,.017471),
new DragViewRot(-.616314,.130869,.77655,1.988804,.383748,.017471),
new DragViewRot(.530029,.085878,.84362,2.058137,.383748,.017471),
new DragViewRot(.037217,-.993513,-.10746,.874228,.383748,.017471),
new ClickButton(setFrontViewOrientation),


new MouseZoom(1,.503125,-.521875),
new DragViewPos(0,0,-.361551,.503125,-.521875),

new Section("Fine tune worms eye"),

new ClickButton(setWormsEyeViewOrientation),
new DragViewPos(0,0,0,.046875,-.709375),

new TugCP(248,.476948,-.04628),
new TugCP(246,.506488,.021465),
new TugCP(244,.480802,.2071),

new TugCP(44,.208329,-.007959),
new TugCP(42,.349929,-.223929),
new TugCP(252,.186379,.195514),
new TugCP(250,.385689,.05445),

new TugCP(84,.255071,-.520036),

new ClickButton(toggleZBufferCageMode),

new ClickButton(setFrontViewOrientation),

new TugCP(857,.0691,.029986),
new DragViewRot(-.825448,-.300187,.478041,1.479628,.0691,.029986),
new TugCP(865,.061683,.523318),


new DragViewRot(.558761,.007401,-.829296,.122929,.061683,.523318),

new DragViewRot(.132384,.991195,-.002697,1.190159,.061683,.523318),
new DragViewRot(.280345,-.959705,.019301,.956443,.061683,.523318),
new DragViewRot(.359605,-.933062,.008974,.31826,.061683,.523318),

new ClickButton(setHomeMode),

new Section(Complete),
	};
	list+=EVENT_LIST(array0);
}
//new AddCtrlPnt(.418654,.522792),